Bug 240070 - lang/smalltalk: Fails to package SDL disabled
Summary: lang/smalltalk: Fails to package SDL disabled
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2019-08-24 12:30 UTC by dal36
Modified: 2019-11-05 13:33 UTC (History)
1 user (show)

See Also:
koobs: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dal36 2019-08-24 12:30:53 UTC
When building lang/smalltalk with SDL disabled using ports-mgmt/synth on AMD64, I get the following error at the 'Package phase':

--------------------------------------------------------------------------------
--  Phase: package
--------------------------------------------------------------------------------
===>  Building package for smalltalk-3.2.5_14
pkg-static: Unable to access file /construction/xports/lang/smalltalk/work/stage/usr/local/lib/smalltalk/sdl-3.2.5.so:No such file or directory
pkg-static: Unable to access file /construction/xports/lang/smalltalk/work/stage/usr/local/lib/smalltalk/sdl.a:No such file or directory
pkg-static: Unable to access file /construction/xports/lang/smalltalk/work/stage/usr/local/lib/smalltalk/sdl.so:No such file or directory
*** Error code 1

Stop.
make: stopped in /xports/lang/smalltalk

Intuitively, it seems like these files might only be produced with the SDL option enabled, but from what I can tell, they are listed unconditionally (rather than depending on the options set) in lang/smalltalk/pkg-plist.

Full build options used for this port were as follows:
--------------------------------------------------
--  Options
--------------------------------------------------
===> The following configuration options are available for smalltalk-3.2.5_14:
     PGSQL=on: PostgreSQL database support
     SDL=off: Simple Direct Media Layer support
===> Use 'make config' to modify these settings

Please let me know if there's any further information that would be helpful here.
Comment 1 dal36 2019-08-24 20:50:17 UTC
Should have noted:

$ freebsd-version
12.0-RELEASE-p10
Comment 2 Rene Ladan freebsd_committer 2019-11-04 21:22:42 UTC
Maintainer reset.
Comment 3 commit-hook freebsd_committer 2019-11-05 13:32:52 UTC
A commit references this bug:

Author: danfe
Date: Tue Nov  5 13:32:04 UTC 2019
New revision: 516795
URL: https://svnweb.freebsd.org/changeset/ports/516795

Log:
  - Unbreak packaging when SDL option is disabled [*]
  - Amend LIB_DEPENDS, USE_{XORG,GL} lists per `stage-qa' report
  - Link against libltdl.so:devel/libltdl to fix the following:
      ...
      configure: WARNING: using included copy of libltdl
      configure: WARNING: this is deprecated and will go away
      configure: WARNING: it is suggested to install libltdl

  PR:	240070 [*]

Changes:
  head/lang/smalltalk/Makefile
  head/lang/smalltalk/pkg-plist
Comment 4 Alexey Dokuchaev freebsd_committer 2019-11-05 13:33:54 UTC
Should be fixed as of ports r516795.